//This function makes use of port manipualtion to turn on/off outputs faster
void FastWrite (int input, bool state) {
  if (!state) {
    switch (input) {
      case 0: {
          PORTD |= B00100000;
          break;
        }
      case 1: {
          PORTD |= B01000000;
          break;
        }
      case 2: {
          PORTD |= B11000000;
          break;
        }
      case 3: {
          PORTB |= B00000001;
          break;
        }
      case 4: {
          PORTB |= B00000010;
          break;
        }
      case 5: {
          PORTB |= B00010000;
          break;
        }
      case 6: {
          PORTB |= B00001000;
          break;
        }
      case 7: {
          PORTB |= B00000100;
          break;
        }
    }
  }

  else {
    switch (input) {
      case 0: {
          PORTD &= B11011111;
          break;
        }
      case 1: {
          PORTD &= B10111111;
          break;
        }
      case 2: {
          PORTD &= B01111111;
          break;
        }
      case 3: {
          PORTB &= B11111110;
          break;
        }
      case 4: {
          PORTB &= B11111101;
          break;
        }
      case 5: {
          PORTB &= B11101111; 
          break;
        }
      case 6: {
          PORTB &= B11110111;
          break;
        }
      case 7: {
          PORTB &= B11111011;
          break;
        }
    }
  }
}

